Debian Bug report logs - #693996
libelf: Update config.{sub,guess} for arm64

version graph

Package: src:libelf; Maintainer for src:libelf is Alex Pennace <alex@pennace.org>;

Reported by: Wookey <wookey@wookware.org>

Date: Thu, 22 Nov 2012 18:39:01 UTC

Severity: normal

Tags: patch

Found in version libelf/0.8.13-3

Fixed in versions libelf/0.8.13-4~1, libelf/0.8.13-4

Done: Alex Pennace <alex@pennace.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Alex Pennace <alex@pennace.org>:
Bug#693996; Package src:libelf. (Thu, 22 Nov 2012 18:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
New Bug report received and forwarded. Copy sent to Alex Pennace <alex@pennace.org>. (Thu, 22 Nov 2012 18:39:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libelf: Update config.{sub,guess} for arm64
Date: Thu, 22 Nov 2012 18:35:54 +0000
[Message part 1 (text/plain, inline)]
Source: libelf
Version: 0.8.13-3
Severity: normal
Tags: patch
User: debian-arm@lists.debian.org
Usertag: arm64

This package needs autoconf updates (to config.guess and config.sub)
to build for 64-bit arm. 
                                                                                                                                                         
Support for aarch64 has been added to autotools config.guess and
config.sub in autotools 20120210.1

For upstream running autoreconf against autotools-dev 20120210.1 or
later will fix the autoconf part.

For the Debian package, if you wanted to keep this up to date
automatically in the future (generally a good idea) then adding
something like this to your distclean target would be effective: -test
-r /usr/share/misc/config.sub && cp -f /usr/share/misc/config.sub
config.sub -test -r /usr/share/misc/config.guess && cp -f
/usr/share/misc/config.guess config.guess (You could instead just make
those files links.) along with a build-dependency on autotools-dev
 
Please pass this bug report to upstream

-- System Information:
Debian Release: 6.0.6
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32.33-kvm-i386-20111128-dirty (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[libelf-0.8.13-3-autconfupdate.diff (text/x-diff, attachment)]

Reply sent to Alex Pennace <alex@pennace.org>:
You have taken responsibility. (Sun, 25 Nov 2012 20:51:08 GMT) Full text and rfc822 format available.

Notification sent to Wookey <wookey@wookware.org>:
Bug acknowledged by developer. (Sun, 25 Nov 2012 20:51:08 GMT) Full text and rfc822 format available.

Message #10 received at 693996-close@bugs.debian.org (full text, mbox):

From: Alex Pennace <alex@pennace.org>
To: 693996-close@bugs.debian.org
Subject: Bug#693996: fixed in libelf 0.8.13-4~1
Date: Sun, 25 Nov 2012 20:47:40 +0000
Source: libelf
Source-Version: 0.8.13-4~1

We believe that the bug you reported is fixed in the latest version of
libelf, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 693996@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alex Pennace <alex@pennace.org> (supplier of updated libelf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 25 Nov 2012 00:48:02 -0500
Source: libelf
Binary: libelfg0 libelfg0-dev
Architecture: source amd64
Version: 0.8.13-4~1
Distribution: experimental
Urgency: low
Maintainer: Alex Pennace <alex@pennace.org>
Changed-By: Alex Pennace <alex@pennace.org>
Description: 
 libelfg0   - an ELF object file access library
 libelfg0-dev - an ELF object file access library: development files
Closes: 690793 693996
Changes: 
 libelf (0.8.13-4~1) experimental; urgency=low
 .
   * Patch to implement multilib support, thanks to Iain Lane.
     (Closes: #690793)
   * Update config.{sub,guess} for arm64, thanks to Wookey
     (Closes: #693996)
Checksums-Sha1: 
 32fb2065497764a14e9966fd351e0df1dedf882a 1056 libelf_0.8.13-4~1.dsc
 938844c9cbe780953498b2d401b213d99baadec5 90181 libelf_0.8.13-4~1.diff.gz
 b7e8ff322599e445e333b5a25465856b1419a1d6 60854 libelfg0_0.8.13-4~1_amd64.deb
 0099ab30a5df127c8d5e0b0ca336fa27cb62e056 69650 libelfg0-dev_0.8.13-4~1_amd64.deb
Checksums-Sha256: 
 af41ba6e2ce93083d932b81df6bf1a9555aa7bd9c0ddd5cad553907de460a38b 1056 libelf_0.8.13-4~1.dsc
 225c204cb0e4a2330202dcdf7af8f2046d7b23e17072ae86ba7cd347c5205a1a 90181 libelf_0.8.13-4~1.diff.gz
 c99c8936904c32e4f8f512ccfcb5c2b5f30e5906028e47c237e92787ad9bdd8f 60854 libelfg0_0.8.13-4~1_amd64.deb
 221e38904ba44078204c392e9f5fe974d8c9a8f94c71b409619682330a83d47c 69650 libelfg0-dev_0.8.13-4~1_amd64.deb
Files: 
 87ba43fa42c9462985b2ee02565fc942 1056 devel optional libelf_0.8.13-4~1.dsc
 952fa29076456324f7eb52becc5cbeab 90181 devel optional libelf_0.8.13-4~1.diff.gz
 a6e2b5841db64e975420a1dfcc4fb766 60854 libs optional libelfg0_0.8.13-4~1_amd64.deb
 5e0e4045f5d084211142d6b0aff1d7cf 69650 libdevel optional libelfg0-dev_0.8.13-4~1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlCyfgEACgkQ+coB1eJqbyh9eACgiGZdNDXlpq7DdruHt5DLh0PO
q7AAn2jBkM7Vj0y+/QzsL/7trOAOSocE
=WX7N
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Alex Pennace <alex@pennace.org>:
Bug#693996; Package src:libelf. (Tue, 12 Nov 2013 02:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and forwarded to list. Copy sent to Alex Pennace <alex@pennace.org>. (Tue, 12 Nov 2013 02:21:04 GMT) Full text and rfc822 format available.

Message #15 received at 693996@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: 693996@bugs.debian.org
Subject: Re: Bug#693996 closed by Alex Pennace <alex@pennace.org> (Bug#693996: fixed in libelf 0.8.13-4~1)
Date: Tue, 12 Nov 2013 02:17:37 +0000
+++ Debian Bug Tracking System [2012-11-25 20:51 +0000]:
> This is an automatic notification regarding your Bug report
> which was filed against the src:libelf package:
> 
> #693996: libelf: Update config.{sub,guess} for arm64
> 
> It has been closed by Alex Pennace <alex@pennace.org>.

>  libelf (0.8.13-4~1) experimental; urgency=low

OK. I have just tested this, and it builds fine on arm64.

I guess this was uploaded to experiemntal because Debian was in freeze
at the time. I think it's time to migrate this to unstable so the arm64
port can use the fix. Can you do that please? (Or I can NMU it for you)

Wookey
-- 
Principal hats:  Linaro, Emdebian, Wookware, Balloonboard, ARM
http://wookware.org/



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#693996; Package src:libelf. (Tue, 12 Nov 2013 14:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alex Pennace <alex@pennace.org>:
Extra info received and forwarded to list. (Tue, 12 Nov 2013 14:57:04 GMT) Full text and rfc822 format available.

Message #20 received at 693996@bugs.debian.org (full text, mbox):

From: Alex Pennace <alex@pennace.org>
To: Wookey <wookey@wookware.org>, 693996@bugs.debian.org
Subject: Re: Bug#693996: closed by Alex Pennace <alex@pennace.org> (Bug#693996: fixed in libelf 0.8.13-4~1)
Date: Tue, 12 Nov 2013 09:46:02 -0500
On Tue, Nov 12, 2013 at 02:17:37AM +0000, Wookey wrote:
> +++ Debian Bug Tracking System [2012-11-25 20:51 +0000]:
> > This is an automatic notification regarding your Bug report
> > which was filed against the src:libelf package:
> > 
> > #693996: libelf: Update config.{sub,guess} for arm64
> > 
> > It has been closed by Alex Pennace <alex@pennace.org>.
> 
> >  libelf (0.8.13-4~1) experimental; urgency=low
> 
> OK. I have just tested this, and it builds fine on arm64.
> 
> I guess this was uploaded to experiemntal because Debian was in freeze
> at the time. I think it's time to migrate this to unstable so the arm64
> port can use the fix. Can you do that please? (Or I can NMU it for you)

I will do so when I return from my business trip this weekend.

-- 
Alex Pennace, alex@pennace.org, http://osiris.978.org/~alex/



Reply sent to Alex Pennace <alex@pennace.org>:
You have taken responsibility. (Wed, 20 Nov 2013 03:21:15 GMT) Full text and rfc822 format available.

Notification sent to Wookey <wookey@wookware.org>:
Bug acknowledged by developer. (Wed, 20 Nov 2013 03:21:15 GMT) Full text and rfc822 format available.

Message #25 received at 693996-close@bugs.debian.org (full text, mbox):

From: Alex Pennace <alex@pennace.org>
To: 693996-close@bugs.debian.org
Subject: Bug#693996: fixed in libelf 0.8.13-4
Date: Wed, 20 Nov 2013 03:19:20 +0000
Source: libelf
Source-Version: 0.8.13-4

We believe that the bug you reported is fixed in the latest version of
libelf, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 693996@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alex Pennace <alex@pennace.org> (supplier of updated libelf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 19 Nov 2013 21:20:23 -0500
Source: libelf
Binary: libelfg0 libelfg0-dev
Architecture: source i386
Version: 0.8.13-4
Distribution: unstable
Urgency: low
Maintainer: Alex Pennace <alex@pennace.org>
Changed-By: Alex Pennace <alex@pennace.org>
Description: 
 libelfg0   - an ELF object file access library
 libelfg0-dev - an ELF object file access library: development files
Closes: 690793 693996
Changes: 
 libelf (0.8.13-4) unstable; urgency=low
 .
   * Upload to unstable (Closes: #690793, #693996)
Checksums-Sha1: 
 6af013139193142e203b51da9c82bbbce21465d7 969 libelf_0.8.13-4.dsc
 acc9c298de8011cc9ac557a6019ddf008d95ed30 91388 libelf_0.8.13-4.diff.gz
 ea8907de38aaf108190bcda818fd9c41682f358b 24614 libelfg0_0.8.13-4_i386.deb
 1e709bc185be7c5e85f937af63510bcc9a3ed211 28074 libelfg0-dev_0.8.13-4_i386.deb
Checksums-Sha256: 
 26841c334b80bac7a2c6f7972e15b336ece14ac0f8cfbeb46d4febafd89c241c 969 libelf_0.8.13-4.dsc
 d8501cb1460b5c716cb318fc61ca999637dbddf90a42d37452d2b1f52bed2335 91388 libelf_0.8.13-4.diff.gz
 571021e4c2917458a7927582321775f9d410a938f9b0dc4d46538e7e5415b85e 24614 libelfg0_0.8.13-4_i386.deb
 3c4f4bd8c2dc5756b17eaac625f568f0ba1ad6911e501cd609440d68e7f97fc2 28074 libelfg0-dev_0.8.13-4_i386.deb
Files: 
 d393778a56ec6dbf113ccfc6ad3b3155 969 devel optional libelf_0.8.13-4.dsc
 e36a4e2e6847d3f6ee0109726ea3c790 91388 devel optional libelf_0.8.13-4.diff.gz
 664e2c1441078d459de7af3e162fe6e3 24614 libs optional libelfg0_0.8.13-4_i386.deb
 a201431b936153445816dc93717c1364 28074 libdevel optional libelfg0-dev_0.8.13-4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAlKMHvgACgkQ+coB1eJqbygYOwCdHYaibuNJFYpALs2f1i1IyDic
SP0AoKpUab5/AVs9FHfB6j3hgLrT8HLT
=31g1
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 08 Jan 2014 07:32:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:43:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.